<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~stray-files.js" 
	styles="path.css,toolbar.css,~../css/reggie-2.css"
	>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#strayFilesTable
{
	width: 100%; 
	border-collapse: collapse;
}

#strayFilesTable thead
{
	text-align: left;
	border-bottom-width: 1px;
	border-top-width: 1px;
}

#strayFilesTable td, #strayFilesTable th
{
	padding: 2px 4px;
}

#strayFilesTable img
{
	margin-right: 4px;
}

#strayFilesTable tr td:first-child, #strayFilesTable tr th:first-child
{
	width: 6em;
	text-align: right;
	padding-right: 3px;
	white-space: nowrap;
	font-weight: bold;
}

#strayFilesTable input[type="text"], #strayFilesTable select
{
	width: calc(100% - 10px);
}


</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Stray files wizard" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Found <span id="num-stray">?</span> stray folders among <span id="num-total">?</span> folders checked</div>
		<div class="step-content">
		
			<tbl:toolbar subclass="bg-filled-50">
				<tbl:button
					id="btnDeleteStrayFolders"
					image="<%=home + "/images/delete.png"%>"
					title="Delete stray folders&hellip;"
				/>
			</tbl:toolbar>

			<table id="strayFilesTable">
				<thead class="bg-filled-100">
				<tr>
					<th></th>
					<th>Path</th>
					<th>File server</th>
					<th>Last modified</th>
					<th>Owner</th>
				</tr>
				<tr>
					<th><base:icon image="check_uncheck.png" id="check_uncheck" /></th>
					<th><input type="text" name="pathFilter" id="pathFilter"></th>
					<th>
						<select name="serverFilter" id="serverFilter">
							<option value="">&nbsp;
						</select>
					</th>
					<th><input type="text" name="dateFilter" id="dateFilter"></th>
					<th><input type="text" name="ownerFilter" id="ownerFilter"></th>
				</tr>
				</thead>
		
				<tbody id="strayFilesSection"></tbody>
				
				<tbody id="no-stray-files" style="display: none;">
				<tr>
					<th></th>
					<td colspan="4" style="text-align: left; font-weight: bold; padding: 1em;">
						Could not find any stray folders.
					</td>
				</tr>
				</tbody>
				
			</table>
			
		</div>
	</div>
	
	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>